namespace Infrastructure.EventBus.RabbitMQ;

public interface IRabbitMQPersistentConnection : IDisposable
{
    bool IsConnected { get; }

    bool TryConnect();

    IModel CreateModel();

    void PublishMessage(string message, string exchangeName, string routingKey);

    void StartConsuming(string queueName);
}